<?php

namespace App\Http\Controllers;

use Hamcrest\Core\Set;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Setting;
use App\Http\Requests\AdminUpdateSitePublicSettings;
use App\Http\Requests\AdminUpdateDollarPriceRequest;
use App\Http\Requests\AdminEditSiteWritingContentRequest;
use App\Http\Requests\AdminEditSiocialLinksRequest;

class AdminSettingsController extends Controller
{
    public function edit_site_public_settings()
    {
        $site_logo = Setting::where('title', 'site_logo')->first();
        $site_logo = $site_logo->content;

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title = $site_title->content;

        $site_title_ar = Setting::where('title', 'site_title_ar')->first();
        $site_title_ar = $site_title_ar->content;

        $site_email = Setting::where('title', 'site_email')->first();
        $site_email = $site_email->content;

        $site_mobile = Setting::where('title', 'site_mobile')->first();
        $site_mobile = $site_mobile->content;

        $meta_desc = Setting::where('title', 'meta_desc')->first();
        $meta_desc = $meta_desc->content;

        $meta_key = Setting::where('title', 'meta_key')->first();
        $meta_key = $meta_key->content;


        return view('admin.editsitepublicsettings')->with([
            'site_logo' => $site_logo,
            'site_title' => $site_title,
            'site_title_ar' => $site_title_ar,
            'site_email' => $site_email,
            'meta_desc' => $meta_desc,
            'meta_key' => $meta_key,
            'site_mobile' => $site_mobile,
        ]);
    }

    public function edit_site_public_settings_post(AdminUpdateSitePublicSettings $request)
    {
        if ($request->hasFile('logo')) {
            $image_name = md5($request->file('logo')->getClientOriginalName()) . '.' . $request->file('logo')->getClientOriginalExtension();
            $request->file('logo')->move('uploads/admin', $image_name);
            $logo = Setting::where('title', 'site_logo')->first();
            $logo->content = $image_name;
            $logo->save();
        }

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title->content = trim($request->input('site_title'));
        $site_title->save();

        $site_title_ar = Setting::where('title', 'site_title_ar')->first();
        $site_title_ar->content = trim($request->input('site_title_ar'));
        $site_title_ar->save();

        $site_email = Setting::where('title', 'site_email')->first();
        $site_email->content = trim($request->input('site_email'));
        $site_email->save();

        $site_mobile = Setting::where('title', 'site_mobile')->first();
        $site_mobile->content = trim($request->input('site_mobile'));
        $site_mobile->save();

        $meta_desc = Setting::where('title', 'meta_desc')->first();
        $meta_desc->content = trim($request->input('meta_desc'));
        $meta_desc->save();

        $meta_key = Setting::where('title', 'meta_key')->first();
        $meta_key->content = str_replace(' ', ',', trim($request->input('meta_key')));
        $meta_key->save();

        return redirect()->back()->with('success', 's');

    }

    public function edit_dollar_price()
    {
        $d_price = Setting::where('title', 'dollar_price')->first();
        return view('admin.editdollarprice')->with([
            'd_price' => $d_price->content,
        ]);
    }

    public function edit_dollar_price_post(AdminUpdateDollarPriceRequest $request)
    {
        $d_price = Setting::where('title', 'dollar_price')->first();
        $d_price->content = $request->input('dollar_price');
        $save = $d_price->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }
    }

    public function edit_site_writing_content()
    {

        $about = Setting::where('title', 'about')->first();
        $about = $about->content;

        $about_ar = Setting::where('title', 'about_ar')->first();
        $about_ar = $about_ar->content;

        $vision = Setting::where('title', 'vision')->first();
        $vision = $vision->content;

        $vision_ar = Setting::where('title', 'vision_ar')->first();
        $vision_ar = $vision_ar->content;

        $mission = Setting::where('title', 'mission')->first();
        $mission = $mission->content;

        $mission_ar = Setting::where('title', 'mission_ar')->first();
        $mission_ar = $mission_ar->content;

        $values = Setting::where('title', 'values')->first();
        $values = $values->content;

        $values_ar = Setting::where('title', 'values_ar')->first();
        $values_ar = $values_ar->content;

        $about_image = Setting::where('title', 'about_image')->first();
        $about_image = $about_image->content;

        $our_vision_image = Setting::where('title', 'our_vision_image')->first();
        $our_vision_image = $our_vision_image->content;

        $our_mission_image = Setting::where('title', 'our_mission_image')->first();
        $our_mission_image = $our_mission_image->content;

        $our_values_image = Setting::where('title', 'our_values_image')->first();
        $our_values_image = $our_values_image->content;

        $latest_articles_desc = Setting::where('title', 'latest_articles_desc')->first();
        $latest_articles_desc = $latest_articles_desc->content;

        $latest_articles_desc_ar = Setting::where('title', 'latest_articles_desc_ar')->first();
        $latest_articles_desc_ar = $latest_articles_desc_ar->content;

        $latest_photos_desc = Setting::where('title', 'latest_photos_desc')->first();
        $latest_photos_desc = $latest_photos_desc->content;

        $latest_photos_desc_ar = Setting::where('title', 'latest_photos_desc_ar')->first();
        $latest_photos_desc_ar = $latest_photos_desc_ar->content;

        $scientific_programs_desc = Setting::where('title', 'scientific_programs_desc')->first();
        $scientific_programs_desc = $scientific_programs_desc->content;

        $scientific_programs_desc_ar = Setting::where('title', 'scientific_programs_desc_ar')->first();
        $scientific_programs_desc_ar = $scientific_programs_desc_ar->content;

        $new_reg_info = Setting::where('title', 'new_reg_info')->first();
        $new_reg_info = $new_reg_info->content;

        $new_reg_info_ar = Setting::where('title', 'new_reg_info_ar')->first();
        $new_reg_info_ar = $new_reg_info_ar->content;

        return view('admin.editsitewritingcontent')->with([
            'about' => $about,
            'about_ar' => $about_ar,
            'vision' => $vision,
            'vision_ar' => $vision_ar,
            'mission' => $mission,
            'mission_ar' => $mission_ar,
            'values' => $values,
            'values_ar' => $values_ar,
            'about_image' => $about_image,
            'our_vision_image' => $our_vision_image,
            'our_mission_image' => $our_mission_image,
            'our_values_image' => $our_values_image,
            'latest_articles_desc' => $latest_articles_desc,
            'latest_articles_desc_ar' => $latest_articles_desc_ar,
            'latest_photos_desc' => $latest_photos_desc,
            'latest_photos_desc_ar' => $latest_photos_desc_ar,
            'scientific_programs_desc' => $scientific_programs_desc,
            'scientific_programs_desc_ar' => $scientific_programs_desc_ar,
            'new_reg_info' => $new_reg_info,
            'new_reg_info_ar' => $new_reg_info_ar
        ]);

    }

    public function edit_site_writing_content_post(AdminEditSiteWritingContentRequest $request)
    {

        if ($request->hasFile('about_image')) {
            $image_name = md5($request->file('about_image')->getClientOriginalName()) . '.' . $request->file('about_image')->getClientOriginalExtension();
            $request->file('about_image')->move('uploads/admin', $image_name);

            $about_image = Setting::where('title', 'about_image')->first();
            $about_image->content = $image_name;
            $about_image->save();
        }

        if ($request->hasFile('our_vision_image')) {
            $image_name = md5($request->file('our_vision_image')->getClientOriginalName()) . '.' . $request->file('our_vision_image')->getClientOriginalExtension();
            $request->file('our_vision_image')->move('uploads/admin', $image_name);

            $our_vision_image = Setting::where('title', 'our_vision_image')->first();
            $our_vision_image->content = $image_name;
            $our_vision_image->save();
        }

        if ($request->hasFile('our_mission_image')) {
            $image_name = md5($request->file('our_mission_image')->getClientOriginalName()) . '.' . $request->file('our_mission_image')->getClientOriginalExtension();
            $request->file('our_mission_image')->move('uploads/admin', $image_name);

            $our_mission_image = Setting::where('title', 'our_mission_image')->first();
            $our_mission_image->content = $image_name;
            $our_mission_image->save();
        }
        if ($request->hasFile('our_values_image')) {
            $image_name = md5($request->file('our_values_image')->getClientOriginalName()) . '.' . $request->file('our_values_image')->getClientOriginalExtension();
            $request->file('our_values_image')->move('uploads/admin', $image_name);

            $our_values_image = Setting::where('title', 'our_values_image')->first();
            $our_values_image->content = $image_name;
            $our_values_image->save();
        }

        $about = Setting::where('title', 'about')->first();
        $about->content = $request->input('about');
        $about->save();

        $about_ar = Setting::where('title', 'about_ar')->first();
        $about_ar->content = $request->input('about_ar');
        $about_ar->save();

        $vision = Setting::where('title', 'vision')->first();
        $vision->content = $request->input('vision');
        $vision->save();

        $vision_ar = Setting::where('title', 'vision_ar')->first();
        $vision_ar->content = $request->input('vision_ar');
        $vision_ar->save();

        $mission = Setting::where('title', 'mission')->first();
        $mission->content = $request->input('mission');
        $mission->save();

        $mission_ar = Setting::where('title', 'mission_ar')->first();
        $mission_ar->content = $request->input('mission_ar');
        $mission_ar->save();

        $values = Setting::where('title', 'values')->first();
        $values->content = $request->input('values');
        $values->save();

        $values_ar = Setting::where('title', 'values_ar')->first();
        $values_ar->content = $request->input('values_ar');
        $values_ar->save();


        $latest_articles_desc = Setting::where('title', 'latest_articles_desc')->first();
        $latest_articles_desc->content = $request->input('latest_articles_desc');
        $latest_articles_desc->save();

        $latest_articles_desc_ar = Setting::where('title', 'latest_articles_desc_ar')->first();
        $latest_articles_desc_ar->content = $request->input('latest_articles_desc_ar');
        $latest_articles_desc_ar->save();

        $latest_photos_desc = Setting::where('title', 'latest_photos_desc')->first();
        $latest_photos_desc->content = $request->input('latest_photos_desc');
        $latest_photos_desc->save();

        $latest_photos_desc_ar = Setting::where('title', 'latest_photos_desc_ar')->first();
        $latest_photos_desc_ar->content = $request->input('latest_photos_desc_ar');
        $latest_photos_desc_ar->save();

        $scientific_programs_desc = Setting::where('title', 'scientific_programs_desc')->first();
        $scientific_programs_desc->content = $request->input('scientific_programs_desc');
        $scientific_programs_desc->save();

        $scientific_programs_desc_ar = Setting::where('title', 'scientific_programs_desc_ar')->first();
        $scientific_programs_desc_ar->content = $request->input('scientific_programs_desc_ar');
        $scientific_programs_desc_ar->save();

        $new_reg_info = Setting::where('title', 'new_reg_info')->first();
        $new_reg_info->content = $request->input('new_reg_info');
        $new_reg_info->save();

        $new_reg_info_ar = Setting::where('title', 'new_reg_info_ar')->first();
        $new_reg_info_ar->content = $request->input('new_reg_info_ar');
        $new_reg_info_ar->save();

        return redirect()->back()->with('success', 's');

    }

    public function edit_social_links()
    {
        $facebook_link = Setting::where('title', 'facebook_link')->first();
        $facebook_link = $facebook_link->content;

        $twitter_link = Setting::where('title', 'twitter_link')->first();
        $twitter_link = $twitter_link->content;

        $google_plus_link = Setting::where('title', 'google_plus_link')->first();
        $google_plus_link = $google_plus_link->content;


        return view('admin.editsociallinks')->with([
            'facebook_link' => $facebook_link,
            'twitter_link' => $twitter_link,
            'google_plus_link' => $google_plus_link,
        ]);


    }

    public function edit_social_links_post(AdminEditSiocialLinksRequest $request)
    {
        $facebook_link = Setting::where('title', 'facebook_link')->first();
        $facebook_link->content = $request->input('facebook_link');
        $facebook_link->save();

        $twitter_link = Setting::where('title', 'twitter_link')->first();
        $twitter_link->content = $request->input('twitter_link');
        $twitter_link->save();

        $google_plus_link = Setting::where('title', 'google_plus_link')->first();
        $google_plus_link->content = $request->input('google_plus_link');
        $google_plus_link->save();


        return redirect()->back()->with('success', 's');


    }


}
