<?php

namespace App\Http\Controllers;

use App\Bankaccount;
use App\Banktransfer;
use App\Package;
use App\Setting;
use Illuminate\Http\Request;

use App\Http\Requests;

use App\Http\Requests\AddNewRegRequest;
use App\Registration;
use Paypal;
use Srmklive\PayPal\Services\AdaptivePayments;
use Srmklive\PayPal\Services\ExpressCheckout;
use Exception;
use App\Http\Requests\ConfirmBankTransferRequest;
use App\Http\Requests\ResumPaymentRequest;
use Illuminate\Support\Facades\App;

class PackagesRegistrationsController extends Controller
{

//    private $_apiContext;

    function __construct()
    {


        if (session('locale')) {
            App::setLocale(session('locale'));
        }


        $site_logo = Setting::where('title', 'site_logo')->first();
        $site_logo = $site_logo->content;

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title = $site_title->content;

        $site_title_ar = Setting::where('title', 'site_title_ar')->first();
        $site_title_ar = $site_title_ar->content;

        $site_email = Setting::where('title', 'site_email')->first();
        $site_email = $site_email->content;

        $site_mobile = Setting::where('title', 'site_mobile')->first();
        $site_mobile = $site_mobile->content;

        $meta_desc = Setting::where('title', 'meta_desc')->first();
        $meta_desc = $meta_desc->content;

        $meta_key = Setting::where('title', 'meta_key')->first();
        $meta_key = $meta_key->content;

        $latest_articles_desc = Setting::where('title', 'latest_articles_desc')->first();
        $latest_articles_desc = $latest_articles_desc->content;

        $latest_articles_desc_ar = Setting::where('title', 'latest_articles_desc_ar')->first();
        $latest_articles_desc_ar = $latest_articles_desc_ar->content;

        $latest_photos_desc = Setting::where('title', 'latest_photos_desc')->first();
        $latest_photos_desc = $latest_photos_desc->content;

        $latest_photos_desc_ar = Setting::where('title', 'latest_photos_desc_ar')->first();
        $latest_photos_desc_ar = $latest_photos_desc_ar->content;

        $scientific_programs_desc = Setting::where('title', 'scientific_programs_desc')->first();
        $scientific_programs_desc = $scientific_programs_desc->content;

        $scientific_programs_desc_ar = Setting::where('title', 'scientific_programs_desc_ar')->first();
        $scientific_programs_desc_ar = $scientific_programs_desc_ar->content;

        $new_reg_info = Setting::where('title', 'new_reg_info')->first();
        $new_reg_info = $new_reg_info->content;

        $new_reg_info_ar = Setting::where('title', 'new_reg_info_ar')->first();
        $new_reg_info_ar = $new_reg_info_ar->content;

        $facebook_link = Setting::where('title', 'facebook_link')->first();
        $facebook_link = $facebook_link->content;

        $twitter_link = Setting::where('title', 'twitter_link')->first();
        $twitter_link = $twitter_link->content;

        $google_plus_link = Setting::where('title', 'google_plus_link')->first();
        $google_plus_link = $google_plus_link->content;


        view()->share([
            'site_logo' => $site_logo,
            'site_title' => $site_title,
            'site_title_ar' => $site_title_ar,
            'site_email' => $site_email,
            'meta_desc' => $meta_desc,
            'meta_key' => $meta_key,
            'site_mobile' => $site_mobile,
            'latest_articles_desc' => $latest_articles_desc,
            'latest_articles_desc_ar' => $latest_articles_desc_ar,
            'latest_photos_desc' => $latest_photos_desc,
            'latest_photos_desc_ar' => $latest_photos_desc_ar,
            'scientific_programs_desc' => $scientific_programs_desc,
            'scientific_programs_desc_ar' => $scientific_programs_desc_ar,
            'new_reg_info' => $new_reg_info,
            'new_reg_info_ar' => $new_reg_info_ar,
            'facebook_link' => $facebook_link,
            'twitter_link' => $twitter_link,
            'google_plus_link' => $google_plus_link,
        ]);


    }

    public function register()
    {

        $packages = Package::orderBy('id', 'DESC')->get();
        return view('user.registration')->with([
            'packages' => $packages
        ]);
    }

    public function new_registration($id)
    {
        $package = Package::where('id', $id)->first();
        return view('user.newreg')->with([
            'package' => $package
        ]);

    }

    public function new_registration_post(AddNewRegRequest $request, $id)
    {

        $package = Package::where('id', $id)->first();

        $reg = new Registration();
        $reg->name = $request->input('name');
        $reg->name_ar = $request->input('name_ar');
        $reg->phone = $request->input('phone');
        $reg->email = $request->input('email');
        $reg->job_title = $request->input('job_title');
        $reg->personal_id_num = $request->input('personal_id_num');
        $reg->package_id = $package->id;
        $reg->paid = 0;

        $save = $reg->save();
        if ($save) {

            $reg = Registration::where('phone', $request->input('phone'))->orderBy('id', 'DESC')->first();
            return redirect()->action('PackagesRegistrationsController@pay_for_appointment', [$package->id, $reg->id]);
        }

    }

    public function resum_payment()
    {
        $regs = Registration::where('paid', 0)->orderBy('id', 'DESC')->get();
        return view('user.resumpayments')->with([
            'regs' => $regs
        ]);
    }

    public function resum_payment_post(ResumPaymentRequest $request)
    {
        $reg = Registration::where('id', $request->input('reg'))->first();

        $pack = Package::where('id', $reg->package_id)->first();
        if (count($pack)) {
            return redirect()->action('PackagesRegistrationsController@pay_for_appointment', [$pack->id, $reg->id]);
        } else {
            return redirect()->back();
        }

    }

    public function pay_for_appointment($package_id, $reg_id)
    {

        $package = Package::where('id', $package_id)->first();
        $reg = Registration::where('id', $reg_id)->first();

        return view('user.payforappointment')->with([
            'package' => $package,
            'reg' => $reg,
        ]);
    }

    public function pay_with_bank_account($reg_id)
    {
        $accounts = Bankaccount::all();
        $reg = Registration::where('id', $reg_id)->first();
        return view('user.paywithbankaccount')->with([
            'accounts' => $accounts,
            'reg' => $reg,
        ]);
    }

    public function confirm_bank_transfer()
    {
        $packages = Package::all();
        $registrations = Registration::where('paid', 0)->get();
        return view('user.confirmbanktransfer')->with([
            'packages' => $packages,
            'registrations' => $registrations,
        ]);
    }

    public function confirm_bank_transfer_post(ConfirmBankTransferRequest $request)
    {
        $confirm = new Banktransfer();
        $confirm->event = $request->input('event');
        $confirm->user_id = $request->input('user');
        $confirm->bank = $request->input('bank');
        $confirm->account_number = $request->input('account_number');
        $confirm->transfer_number = $request->input('transfer_number');

        $save = $confirm->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }
    }

    // will start payment for the appointment
    public function pay_for_appointment_post(Request $request, $reg_id)
    {


//        stripe

//        $reg = Registration::where('id', $reg_id)->first();
//        $pack = Package::where('id', $reg->package_id)->first();
//
//
//        try {
//            $charge = $reg->charge($pack->price * 100, ['source' => $request->input('stripeToken')]);
//            if ($charge) {
//                $reg->paid = 1;
//                $reg->save();
//                return redirect('/')->with('msg', 'تم اتمام عملية الدفع بنجاح');
//            }
//        } catch (Exception $e) {
//            return $e->getMessage();
//        }

        // paypal
        $reg = Registration::where('id', $reg_id)->first();
        $package = Package::where('id', $reg->package_id)->first();

        $dollar_price = Setting::where('title', 'dollar_price')->first();
        $dollar_price = $dollar_price->content;

        $payer = PayPal::Payer();
        $payer->setPaymentMethod('paypal');

        $amount = PayPal::Amount();
        $amount->setCurrency('USD');
        $amount->setTotal($package->price * $dollar_price);

        $transaction = PayPal::Transaction();
        $transaction->setAmount($amount);
        $transaction->setDescription('paying for class: ' . $package->class_name . 'price: ' . $package->price * $dollar_price);

        $redirectUrls = PayPal::RedirectUrls();
        $redirectUrls->setReturnUrl(action('PackagesRegistrationsController@payment_success', $reg->id));
        $redirectUrls->setCancelUrl(action('PackagesRegistrationsController@payment_cancel'));

        $payment = PayPal::Payment();
        $payment->setIntent('sale');
        $payment->setPayer($payer);
        $payment->setRedirectUrls($redirectUrls);
        $payment->setTransactions(array($transaction));

        $response = $payment->create($this->_apiContext);
        $redirectUrl = $response->links[1]->href;

        return redirect()->to($redirectUrl);


//        $provider = new AdaptivePayments();
//
//        $data = [
//            'receivers' => [
//                [
//                    'email' => 'hosnyadeeb-buyer@gmail.com',
//                    'amount' => $package->price,
//                    'primary' => true,
//                ],
//                [
//                    'email' => 'done@gmail.com',
//                    'amount' => .1,
//                    'primary' => false,
//                ],
//            ],
//            'payer' => 'SENDER', // (Optional) Describes who pays PayPal fees. Allowed values are: 'SENDER', 'PRIMARYRECEIVER', 'EACHRECEIVER' (Default), 'SECONDARYONLY'
//            'return_url' => action('PackagesRegistrationsController@payment_success', $reg->id),
//            'cancel_url' => action('PackagesRegistrationsController@payment_cancel'),
//        ];
//
//        $response = $provider->createPayRequest($data);
//
//        $redirect_url = $provider->getRedirectUrl('approved', $response['payKey']);
//
//        return redirect($redirect_url);

//    // The above API call will return the following values if successful:
//    // 'responseEnvelope.ack', 'payKey', 'paymentExecStatus'

    }

    public function payment_success(Request $request, $reg_id)
    {


//        $id = $request->get('paymentId');
//        $token = $request->get('token');
//        $payer_id = $request->get('PayerID');
//
//        $payment = PayPal::getById($id, $this->_apiContext);
//
//        $paymentExecution = PayPal::PaymentExecution();
//
//        $paymentExecution->setPayerId($payer_id);
//        $executePayment = $payment->execute($paymentExecution, $this->_apiContext);
//

        $reg = Registration::where('id', $reg_id)->first();
        $reg->paid = 1;
        $save = $reg->save();

        if ($save) {
            return redirect(action('PackagesRegistrationsController@register'))->with('msg', 'تم اتمام عملية الدفع بنجاح');
        } else {
            return redirect(action('PackagesRegistrationsController@register'))->with('msg', 'حدث خطأ اثناء الدفع');
        }

    }

    public function payment_cancel()
    {
        return redirect(action('PackagesRegistrationsController@register'))->with('msg', 'تم الغاء عملية الدفع');
    }


}
