<?php

namespace App\Http\Controllers;

use App\State;
use App\City;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\User;
use App\Http\Requests\UserSignupRequest;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Auth;
use App\Http\Requests\UsersLoginRequest;
use Laravel\Socialite\Facades\Socialite;
use App\Setting;
use Illuminate\Support\Facades\App;

class UsersController extends Controller
{

    function __construct()
    {


        if (session('locale')) {
            App::setLocale(session('locale'));
        }


        $site_logo = Setting::where('title', 'site_logo')->first();
        $site_logo = $site_logo->content;

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title = $site_title->content;

        $site_title_ar = Setting::where('title', 'site_title_ar')->first();
        $site_title_ar = $site_title_ar->content;

        $site_email = Setting::where('title', 'site_email')->first();
        $site_email = $site_email->content;

        $site_mobile = Setting::where('title', 'site_mobile')->first();
        $site_mobile = $site_mobile->content;

        $meta_desc = Setting::where('title', 'meta_desc')->first();
        $meta_desc = $meta_desc->content;

        $meta_key = Setting::where('title', 'meta_key')->first();
        $meta_key = $meta_key->content;

        $latest_articles_desc = Setting::where('title', 'latest_articles_desc')->first();
        $latest_articles_desc = $latest_articles_desc->content;

        $latest_articles_desc_ar = Setting::where('title', 'latest_articles_desc_ar')->first();
        $latest_articles_desc_ar = $latest_articles_desc_ar->content;

        $latest_photos_desc = Setting::where('title', 'latest_photos_desc')->first();
        $latest_photos_desc = $latest_photos_desc->content;

        $latest_photos_desc_ar = Setting::where('title', 'latest_photos_desc_ar')->first();
        $latest_photos_desc_ar = $latest_photos_desc_ar->content;

        $scientific_programs_desc = Setting::where('title', 'scientific_programs_desc')->first();
        $scientific_programs_desc = $scientific_programs_desc->content;

        $scientific_programs_desc_ar = Setting::where('title', 'scientific_programs_desc_ar')->first();
        $scientific_programs_desc_ar = $scientific_programs_desc_ar->content;

        $new_reg_info = Setting::where('title', 'new_reg_info')->first();
        $new_reg_info = $new_reg_info->content;

        $new_reg_info_ar = Setting::where('title', 'new_reg_info_ar')->first();
        $new_reg_info_ar = $new_reg_info_ar->content;

        $facebook_link = Setting::where('title', 'facebook_link')->first();
        $facebook_link = $facebook_link->content;

        $twitter_link = Setting::where('title', 'twitter_link')->first();
        $twitter_link = $twitter_link->content;

        $google_plus_link = Setting::where('title', 'google_plus_link')->first();
        $google_plus_link = $google_plus_link->content;


        view()->share([
            'site_logo' => $site_logo,
            'site_title' => $site_title,
            'site_title_ar' => $site_title_ar,
            'site_email' => $site_email,
            'meta_desc' => $meta_desc,
            'meta_key' => $meta_key,
            'site_mobile' => $site_mobile,
            'latest_articles_desc' => $latest_articles_desc,
            'latest_articles_desc_ar' => $latest_articles_desc_ar,
            'latest_photos_desc' => $latest_photos_desc,
            'latest_photos_desc_ar' => $latest_photos_desc_ar,
            'scientific_programs_desc' => $scientific_programs_desc,
            'scientific_programs_desc_ar' => $scientific_programs_desc_ar,
            'new_reg_info' => $new_reg_info,
            'new_reg_info_ar' => $new_reg_info_ar,
            'facebook_link' => $facebook_link,
            'twitter_link' => $twitter_link,
            'google_plus_link' => $google_plus_link,
        ]);


    }

    public function login()
    {
        return view('user.login');
    }

    public function login_post(UsersLoginRequest $request)
    {
        if (Auth::attempt(['email' => $request->input('email'), 'password' => $request->input('password')])) {
            $user = User::where('email', $request->input('email'))->first();
            if ($user->activated == 0) {
                Auth::logout();
                return redirect()->back()->with('msg', 'this account is not activated PLZ activate');
            } else {
                return redirect('/');
            }
        } else {
            return redirect()->back()->with('error', 'e');
        }
    }

    /**
     * Redirect the user to the facebook authentication page.
     *
     * @return Response
     */
    public function redirectToProvider()
    {
        return Socialite::driver('facebook')->redirect();
    }

    /**
     * Obtain the user information from facebook.
     *
     * @return Response
     */
    public function handleProviderCallback()
    {
        $user = Socialite::driver('facebook')->user();

        $name = $user->name;
        $id = $user->id;
        $email = $user->email;
        $token = $user->token;

        $fUser = User::where('email', $email)->first();

        if (count($fUser) > 0) {

            if (Auth::attempt(['email' => $email, 'password' => $id])) {
                return redirect('/');
            }

        } else {
            $fUser = new User();
            $fUser->name = $name;
            $fUser->email = $email;
            $fUser->facebook_id = $id;
            $fUser->password = bcrypt($id);
            $fUser->activated = 1;
            $fUser->save();

            if (Auth::attempt(['email' => $email, 'password' => $id])) {
                return redirect('/');
            };

        }

    }

    public function sign_up()
    {
        return view('user.signup');
    }

    public function sign_up_post(UserSignupRequest $request)
    {
        $user = new User();
        $user->name = $request->input('name');
        $user->email = $request->input('email');
        $user->mobile = $request->input('mobile');
        $user->password = bcrypt($request->input('password'));

        $save = $user->save();
        if ($save) {
            $user = User::where('email', $request->input('email'))->first();

            // Sending activation email
            $site_email = Setting::where('title', 'site_email')->first();
            $site_email = $site_email->content;

            $site_title = Setting::where('title', 'site_title')->first();
            $site_title = $site_title->content;

            try {
                Mail::send('emails.activationemail', ['user' => $user], function ($m) use ($user, $site_title, $site_email) {
                    $m->from($site_email, $site_title);
                    $m->to($user->email, $user->name)->subject('Account Activation');
                });
            } catch (Exception $e) {
                User::where('email', $request->input('email'))->delete();
                return redirect()->back()->with('error', 'r')->withInput();
            }
//            if (Auth::attempt(['email' => $request->input('email'), 'password' => $request->input('password')])) {
//                return redirect(action('UsersController@get_user_profile'));
//            }
            return redirect()->back()->with('success', 's');
        }
    }

    public function activate_user($id)
    {
        $user = User::where('id', $id)->first();
        $user->activated = 1;
        $save = $user->save();
        if ($save) {
            return redirect('/')->with('msg', 'account activated successfully');
        }
    }

    public function logout()
    {
        Auth::logout();
        return redirect(action('UsersController@login'));
    }

    // demo res areas
    public function areas()
    {
//        $geoInfo = var_export(unserialize(file_get_contents('http://www.geoplugin.net/php.gp?ip=' . $_SERVER['REMOTE_ADDR'])));

        $states = State::where('country_id', 64)->orderBy('name', 'ASC')->get();
        return view('user.areas')->with([
            'states' => $states
        ]);
    }

    public function get_cities($state_id)
    {
        $cities = City::where('state_id', $state_id)->orderBy('name', 'ASC')->get();
        return $cities;
    }

}
