<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Requests\ContactUsRequest;
use Illuminate\Support\Facades\Mail;
use App\Contact;
use App\Setting;
use Illuminate\Support\Facades\App;

class ContactsController extends Controller
{

    function __construct()
    {

        if (session('locale')) {
            App::setLocale(session('locale'));
        }


        $site_logo = Setting::where('title', 'site_logo')->first();
        $site_logo = $site_logo->content;

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title = $site_title->content;

        $site_title_ar = Setting::where('title', 'site_title_ar')->first();
        $site_title_ar = $site_title_ar->content;

        $site_email = Setting::where('title', 'site_email')->first();
        $site_email = $site_email->content;

        $site_mobile = Setting::where('title', 'site_mobile')->first();
        $site_mobile = $site_mobile->content;

        $meta_desc = Setting::where('title', 'meta_desc')->first();
        $meta_desc = $meta_desc->content;

        $meta_key = Setting::where('title', 'meta_key')->first();
        $meta_key = $meta_key->content;

        $latest_articles_desc = Setting::where('title', 'latest_articles_desc')->first();
        $latest_articles_desc = $latest_articles_desc->content;

        $latest_articles_desc_ar = Setting::where('title', 'latest_articles_desc_ar')->first();
        $latest_articles_desc_ar = $latest_articles_desc_ar->content;

        $latest_photos_desc = Setting::where('title', 'latest_photos_desc')->first();
        $latest_photos_desc = $latest_photos_desc->content;

        $latest_photos_desc_ar = Setting::where('title', 'latest_photos_desc_ar')->first();
        $latest_photos_desc_ar = $latest_photos_desc_ar->content;

        $scientific_programs_desc = Setting::where('title', 'scientific_programs_desc')->first();
        $scientific_programs_desc = $scientific_programs_desc->content;

        $scientific_programs_desc_ar = Setting::where('title', 'scientific_programs_desc_ar')->first();
        $scientific_programs_desc_ar = $scientific_programs_desc_ar->content;

        $new_reg_info = Setting::where('title', 'new_reg_info')->first();
        $new_reg_info = $new_reg_info->content;

        $new_reg_info_ar = Setting::where('title', 'new_reg_info_ar')->first();
        $new_reg_info_ar = $new_reg_info_ar->content;

        $facebook_link = Setting::where('title', 'facebook_link')->first();
        $facebook_link = $facebook_link->content;

        $twitter_link = Setting::where('title', 'twitter_link')->first();
        $twitter_link = $twitter_link->content;

        $google_plus_link = Setting::where('title', 'google_plus_link')->first();
        $google_plus_link = $google_plus_link->content;


        view()->share([
            'site_logo' => $site_logo,
            'site_title' => $site_title,
            'site_title_ar' => $site_title_ar,
            'site_email' => $site_email,
            'meta_desc' => $meta_desc,
            'meta_key' => $meta_key,
            'site_mobile' => $site_mobile,
            'latest_articles_desc' => $latest_articles_desc,
            'latest_articles_desc_ar' => $latest_articles_desc_ar,
            'latest_photos_desc' => $latest_photos_desc,
            'latest_photos_desc_ar' => $latest_photos_desc_ar,
            'scientific_programs_desc' => $scientific_programs_desc,
            'scientific_programs_desc_ar' => $scientific_programs_desc_ar,
            'new_reg_info' => $new_reg_info,
            'new_reg_info_ar' => $new_reg_info_ar,
            'facebook_link' => $facebook_link,
            'twitter_link' => $twitter_link,
            'google_plus_link' => $google_plus_link,
        ]);


    }

    public function contact_us()
    {
        return view('user.contactus');
    }

    public function contact_us_post(ContactUsRequest $request)
    {
        $site_email = Setting::where('title', 'site_email')->first();
        $site_email = $site_email->content;

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title = $site_title->content;

        try {
            $send = Mail::send('emails.contactus', ['request' => $request], function ($m) use ($request, $site_email, $site_title) {
                $m->from($request->input('email'), $request->input('title'));
                $m->to($site_email, $site_title)->subject($request->input('subject'));
            });

            if ($send) {
                $contact = new Contact();
                $contact->name = $request->input('name');
                $contact->email = $request->input('email');
                $contact->subject = $request->input('subject');
                $contact->message = $request->input('message');
                $contact->date = date("Y/m/d h:i a");
                $contact->save();
            }

            return redirect()->back()->with('success', 's');

        } catch (Exception $e) {
            return redirect()->back()->with('error', 'r')->withInput();
        }
    }
}
