<?php

namespace App\Http\Controllers;

use App\Article;
use App\Image;
use App\Scientificprogram;
use App\Setting;
use Hamcrest\Core\Set;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use App\Http\Requests;

class MainController extends Controller
{
    function __construct()
    {

        if (session('locale')) {
            App::setLocale(session('locale'));
        }

        $site_logo = Setting::where('title', 'site_logo')->first();
        $site_logo = $site_logo->content;

        $site_title = Setting::where('title', 'site_title')->first();
        $site_title = $site_title->content;

        $site_title_ar = Setting::where('title', 'site_title_ar')->first();
        $site_title_ar = $site_title_ar->content;

        $site_email = Setting::where('title', 'site_email')->first();
        $site_email = $site_email->content;

        $site_mobile = Setting::where('title', 'site_mobile')->first();
        $site_mobile = $site_mobile->content;

        $meta_desc = Setting::where('title', 'meta_desc')->first();
        $meta_desc = $meta_desc->content;

        $meta_key = Setting::where('title', 'meta_key')->first();
        $meta_key = $meta_key->content;

        $latest_articles_desc = Setting::where('title', 'latest_articles_desc')->first();
        $latest_articles_desc = $latest_articles_desc->content;

        $latest_articles_desc_ar = Setting::where('title', 'latest_articles_desc_ar')->first();
        $latest_articles_desc_ar = $latest_articles_desc_ar->content;

        $latest_photos_desc = Setting::where('title', 'latest_photos_desc')->first();
        $latest_photos_desc = $latest_photos_desc->content;

        $latest_photos_desc_ar = Setting::where('title', 'latest_photos_desc_ar')->first();
        $latest_photos_desc_ar = $latest_photos_desc_ar->content;

        $scientific_programs_desc = Setting::where('title', 'scientific_programs_desc')->first();
        $scientific_programs_desc = $scientific_programs_desc->content;

        $scientific_programs_desc_ar = Setting::where('title', 'scientific_programs_desc_ar')->first();
        $scientific_programs_desc_ar = $scientific_programs_desc_ar->content;

        $new_reg_info = Setting::where('title', 'new_reg_info')->first();
        $new_reg_info = $new_reg_info->content;

        $new_reg_info_ar = Setting::where('title', 'new_reg_info_ar')->first();
        $new_reg_info_ar = $new_reg_info_ar->content;

        $facebook_link = Setting::where('title', 'facebook_link')->first();
        $facebook_link = $facebook_link->content;

        $twitter_link = Setting::where('title', 'twitter_link')->first();
        $twitter_link = $twitter_link->content;

        $google_plus_link = Setting::where('title', 'google_plus_link')->first();
        $google_plus_link = $google_plus_link->content;


        view()->share([
            'site_logo' => $site_logo,
            'site_title' => $site_title,
            'site_title_ar' => $site_title_ar,
            'site_email' => $site_email,
            'meta_desc' => $meta_desc,
            'meta_key' => $meta_key,
            'site_mobile' => $site_mobile,
            'latest_articles_desc' => $latest_articles_desc,
            'latest_articles_desc_ar' => $latest_articles_desc_ar,
            'latest_photos_desc' => $latest_photos_desc,
            'latest_photos_desc_ar' => $latest_photos_desc_ar,
            'scientific_programs_desc' => $scientific_programs_desc,
            'scientific_programs_desc_ar' => $scientific_programs_desc_ar,
            'new_reg_info' => $new_reg_info,
            'new_reg_info_ar' => $new_reg_info_ar,
            'facebook_link' => $facebook_link,
            'twitter_link' => $twitter_link,
            'google_plus_link' => $google_plus_link,
        ]);


    }

    public function home()
    {
        if (App::isLocale('en')) {
            $about = Setting::where('title', 'about')->first();
            $about = $about->content;

            $objective = Setting::where('title', 'vision')->first();
            $objective = $objective->content;

        } else {
            $about = Setting::where('title', 'about_ar')->first();
            $about = $about->content;

            $objective = Setting::where('title', 'vision_ar')->first();
            $objective = $objective->content;

        }

        $about_image = Setting::where('title', 'about_image')->first();
        $about_image = $about_image->content;

        $latest_articles = Article::orderBy('id', 'DESC')->take(8)->get();

        $latest_photos = Image::orderBy('id', 'DESC')->take(8)->get();

        $scientific_programs = Scientificprogram::orderBy('id', 'DESC')->get();

        return view('user.home')->with([
            'about' => $about,
            'objective' => $objective,
            'latest_articles' => $latest_articles,
            'latest_photos' => $latest_photos,
            'about_image' => $about_image,
            'scientific_programs' => $scientific_programs,
        ]);
    }

    public function gallery()
    {
        $images = Image::orderBy('id', 'DESC')->get();
        return view('user.gallery')->with([
            'images' => $images
        ]);
    }

    // make the latest articles page
    public function articles()
    {
        $articles = Article::orderBy('id', 'DESC')->paginate(8);
        return view('user.articles')->with([
            'articles' => $articles
        ]);
    }

    // make a single article page
    public function get_article($id)
    {
        $article = Article::where('id', $id)->first();
        return view('user.getarticle')->with([
            'article' => $article
        ]);
    }

    // make scientific programs page
    public function scientific_programs_gd()
    {
        $scientific_programs = Scientificprogram::orderBy('id', 'DESC')->get();
        return view('user.scientificprograms')->with([
            'scientific_programs' => $scientific_programs,
        ]);
    }

    // make a single program page
    public function get_scientific_program($id)
    {
        $program = Scientificprogram::where('id', $id)->first();
        return view('user.scientificprgram')->with([
            'program' => $program
        ]);
    }

    // make strategy page
    public function our_strategy()
    {
        $our_vision_image = Setting::where('title', 'our_vision_image')->first();
        $our_vision_image = $our_vision_image->content;

        $our_mission_image = Setting::where('title', 'our_mission_image')->first();
        $our_mission_image = $our_mission_image->content;

        $our_values_image = Setting::where('title', 'our_values_image')->first();
        $our_values_image = $our_values_image->content;

        if (App::isLocale('en')) {

            $vision = Setting::where('title', 'vision')->first();
            $vision = $vision->content;

            $mission = Setting::where('title', 'mission')->first();
            $mission = $mission->content;

            $values = Setting::where('title', 'values')->first();
            $values = $values->content;

        } else {

            $vision = Setting::where('title', 'vision_ar')->first();
            $vision = $vision->content;

            $mission = Setting::where('title', 'mission_ar')->first();
            $mission = $mission->content;

            $values = Setting::where('title', 'values_ar')->first();
            $values = $values->content;

        }

        return view('user.ourstratrgy')->with([
            'our_vision_image' => $our_vision_image,
            'our_mission_image' => $our_mission_image,
            'our_values_image' => $our_values_image,
            'vision' => $vision,
            'mission' => $mission,
            'values' => $values
        ]);


    }

    public function set_locale($locale)
    {
        session(['locale' => $locale]);
        return redirect()->back();
    }

}
