@extends('admin.app')
@section('content')

    <div class="box">
        <div class="box-header">
            <h3 class="box-title"> اعدادات محتوى الصفحات </h3>
        </div><!-- /.box-header -->

        @if(session('success'))
            <div class="alert alert-info col-lg-8 col-lg-offset-2">
                تم تعديل البيانات
            </div>
        @endif

        <div class="box-body">
            <div class="col-md-8 col-md-offset-2">
                <form action="{{ action('AdminSettingsController@edit_site_writing_content_post') }}" method="post"
                      enctype="multipart/form-data">

                    <div class="form-group">
                        <label for="about_image">صوره لقسم من نحن</label> | <a href="/uploads/admin/{{ $about_image }}"
                                                                               data-lightbox="{{ $about_image }}">
                            <img width="70" src="/uploads/admin/{{ $about_image }}" alt="">
                        </a>
                        <input type="file" class="form-control" name="about_image">
                        @if(count($errors->first('about_image')) > 0) <p
                                style="color: red;"> {{ $errors->first('about_image') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="about">من نحن باللغه الانجليزيه</label>
                        <textarea name="about" id="about" class="form-control" cols="30"
                                  rows="10">{{ $about }}</textarea>
                        @if(count($errors->first('about')) > 0) <p
                                style="color: red;"> {{ $errors->first('about') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="about_ar">من نحن باللغه العربيه</label>
                        <textarea name="about_ar" id="about_ar" class="form-control" cols="30"
                                  rows="10">{{ $about_ar }}</textarea>
                        @if(count($errors->first('about_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('about_ar') }} </p>@endif
                    </div>


                    <div class="form-group">
                        <label for="about_image">صوره لقسم رؤيتنا</label> | <a
                                href="/uploads/admin/{{ $our_vision_image }}"
                                data-lightbox="{{ $our_vision_image }}">
                            <img width="70" src="/uploads/admin/{{ $our_vision_image }}" alt="">
                        </a>
                        <input type="file" class="form-control" name="our_vision_image">
                        @if(count($errors->first('our_vision_image')) > 0) <p
                                style="color: red;"> {{ $errors->first('our_vision_image') }} </p>@endif
                    </div>


                    <div class="form-group">
                        <label for="vision">رؤيتنا باللغه الانجليزيه / Our General Objective in english</label>
                        <textarea name="vision" id="vision" class="form-control" cols="30"
                                  rows="10">{{ $vision }}</textarea>
                        @if(count($errors->first('vision')) > 0) <p
                                style="color: red;"> {{ $errors->first('vision') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="vision_ar">رؤيتنا باللغه العربيه / Our General Objective in arabic</label>
                        <textarea name="vision_ar" id="vision_ar" class="form-control" cols="30"
                                  rows="10">{{ $vision_ar }}</textarea>
                        @if(count($errors->first('vision_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('vision_ar') }} </p>@endif
                    </div>


                    <div class="form-group">
                        <label for="about_image">صوره لقسم مهمتنا</label> | <a
                                href="/uploads/admin/{{ $our_mission_image }}"
                                data-lightbox="{{ $our_mission_image }}">
                            <img width="70" src="/uploads/admin/{{ $our_mission_image }}" alt="">
                        </a>
                        <input type="file" class="form-control" name="our_mission_image">
                        @if(count($errors->first('our_mission_image')) > 0) <p
                                style="color: red;"> {{ $errors->first('our_mission_image') }} </p>@endif
                    </div>


                    <div class="form-group">
                        <label for="mission">مهمتنا باللغه الانجليزيه</label>
                        <textarea name="mission" id="mission" class="form-control" cols="30"
                                  rows="10">{{ $mission }}</textarea>
                        @if(count($errors->first('mission')) > 0) <p
                                style="color: red;"> {{ $errors->first('mission') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="mission_ar">مهمتنا باللغه العربيه</label>
                        <textarea name="mission_ar" id="mission_ar" class="form-control" cols="30"
                                  rows="10">{{ $mission_ar }}</textarea>
                        @if(count($errors->first('mission_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('mission_ar') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="about_image">صوره لقسم قيمنا</label> | <a
                                href="/uploads/admin/{{ $our_values_image }}"
                                data-lightbox="{{ $our_values_image }}">
                            <img width="70" src="/uploads/admin/{{ $our_values_image }}" alt="">
                        </a>
                        <input type="file" class="form-control" name="our_values_image">
                        @if(count($errors->first('our_values_image')) > 0) <p
                                style="color: red;"> {{ $errors->first('our_values_image') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="values">قيمنا باللغه الانجليزيه</label>
                        <textarea name="values" id="values" class="form-control" cols="30"
                                  rows="10">{{ $values }}</textarea>
                        @if(count($errors->first('values')) > 0) <p
                                style="color: red;"> {{ $errors->first('values') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="values_ar">قيمنا باللغه العربيه</label>
                        <textarea name="values_ar" id="values_ar" class="form-control" cols="30"
                                  rows="10">{{ $values_ar }}</textarea>
                        @if(count($errors->first('values_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('values_ar') }} </p>@endif
                    </div>


                    <div class="form-group">
                        <label for="latest_articles_desc">وصف قسم احدث المقالات بالانجليزيه</label>
                        <textarea name="latest_articles_desc" id="latest_articles_desc" class="form-control" cols="30"
                                  rows="10">{{ $latest_articles_desc }}</textarea>
                        @if(count($errors->first('latest_articles_desc')) > 0) <p
                                style="color: red;"> {{ $errors->first('latest_articles_desc') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="latest_articles_desc_ar">وصف قسم احدث المقالات بالعربيه</label>
                        <textarea name="latest_articles_desc_ar" id="latest_articles_desc_ar" class="form-control"
                                  cols="30"
                                  rows="10">{{ $latest_articles_desc_ar }}</textarea>
                        @if(count($errors->first('latest_articles_desc_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('latest_articles_desc_ar') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="latest_photos_desc">وصف قسم احدث الصور بالانجليزيه</label>
                        <textarea name="latest_photos_desc" id="latest_photos_desc" class="form-control" cols="30"
                                  rows="10">{{ $latest_photos_desc }}</textarea>
                        @if(count($errors->first('latest_photos_desc')) > 0) <p
                                style="color: red;"> {{ $errors->first('latest_photos_desc') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="latest_photos_desc_ar">وصف قسم احدث الصور بالعربيه</label>
                        <textarea name="latest_photos_desc_ar" id="latest_photos_desc_ar" class="form-control"
                                  cols="30"
                                  rows="10">{{ $latest_photos_desc_ar }}</textarea>
                        @if(count($errors->first('latest_photos_desc_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('latest_photos_desc_ar') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="scientific_programs_desc">وصف قسم جداول البرامج العلميه بالانجليزيه</label>
                        <textarea name="scientific_programs_desc" id="scientific_programs_desc" class="form-control"
                                  cols="30"
                                  rows="10">{{ $scientific_programs_desc }}</textarea>
                        @if(count($errors->first('scientific_programs_desc')) > 0) <p
                                style="color: red;"> {{ $errors->first('scientific_programs_desc') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="scientific_programs_desc_ar">وصف قسم جداول البرامج العلميه بالعربيه</label>
                        <textarea name="scientific_programs_desc_ar" id="scientific_programs_desc_ar"
                                  class="form-control "
                                  cols="30"
                                  rows="10">{{ $scientific_programs_desc_ar }}</textarea>
                        @if(count($errors->first('scientific_programs_desc_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('scientific_programs_desc_ar') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="new_reg_info">تعليمات للمشتركين الجدد بالانجليزيه</label>
                        <textarea name="new_reg_info" id="new_reg_info" class="form-control ckeditor"
                                  cols="30"
                                  rows="10">{{ $new_reg_info }}</textarea>
                        @if(count($errors->first('new_reg_info')) > 0) <p
                                style="color: red;"> {{ $errors->first('new_reg_info') }} </p>@endif
                    </div>

                    <div class="form-group">
                        <label for="new_reg_info_ar">تعليمات للمشتركين الجدد بالعربيه</label>
                        <textarea name="new_reg_info_ar" id="new_reg_info_ar"
                                  class="form-control ckeditor"
                                  cols="30"
                                  rows="10">{{ $new_reg_info_ar }}</textarea>
                        @if(count($errors->first('new_reg_info_ar')) > 0) <p
                                style="color: red;"> {{ $errors->first('new_reg_info_ar') }} </p>@endif
                    </div>


                    {{ csrf_field() }}
                    <input type="submit" value="تعديل" class="btn btn-success"/>
                </form>
            </div>
        </div><!-- /.box-body -->
    </div><!-- /.box -->
@stop