@extends('admin.app')
@section('content')
    <div class="box">
        <div class="box-header">
            <h3 class="box-title"> جميع الاعضاء الموقوفين </h3>
        </div><!-- /.box-header -->

        @if(session('msg'))
            <div class="alert alert-info col-lg-8 col-lg-offset-2">
                {{ session('msg') }}
            </div>
        @endif


        <div class="box-body">
            <table id="table" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th> #</th>
                    <th> الاسم</th>
                    <th> البريد</th>
                    <th> رقم الهاتف</th>
                    <th> فيسبوك ID</th>
                    <th> نشط / غير نشط</th>
                    <th> موقوف / غير موقوف</th>
                    <th>حذف</th>
                </tr>
                </thead>
                <tbody>
                @if(count($users) > 0)
                    @foreach($users as $user)
                        <tr>
                            <td>{{ $user->id }}</td>
                            <td>{{ $user->name }}</td>
                            <td>{{ $user->email }}</td>
                            <td>{{ $user->mobile }}</td>
                            <td>{{ $user->facebook_id }}</td>
                            <td>
                                @if($user->activated == 0)
                                    غير نشط
                                @else
                                    نشط
                                @endif
                            </td>
                            <td>
                                @if($user->suspended == 0)
                                    <a href="{{ action('AdminUsersController@suspend_user', $user->id) }}"
                                       class="btn btn-warning">ايقاف</a>
                                @else
                                    <a href="{{ action('AdminUsersController@un_suspend_user', $user->id) }}"
                                       class="btn btn-warning">الغاء الايقاف</a>
                                @endif
                            </td>
                            <td>
                                <a class="btn btn-danger dlt">حذف</a>
                                <a href="{{ action('AdminUsersController@delete_user', $user->id) }}"
                                   class="btn btn-danger dlt-show">تأكيد الحذف</a>
                            </td>
                        </tr>
                    @endforeach
                @endif
                </tbody>
            </table>
        </div><!-- /.box-body -->
    </div><!-- /.box -->
@stop