@extends('user.app')
@section('content')

    <section class="custom-header-bg">
        <div class="container">
            <h1>{{ trans('trans.confirm bank transfer') }}</h1>
        </div>
    </section>


    <section class="courses gallery">
        <div class="col-md-8 col-md-offset-2">
            @if(session('msg'))
                <div class="alert alert-warning text-center">{{ session('msg') }}</div>
            @endif
        </div>
        <div class="container">
            <div class="center">

                <div class="col-md-6 col-md-offset-3 @if(App::isLocale('en')) text-left" dir="ltr" @else text-right" dir="rtl" @endif>
                    <div class="text-center">
                        <h4>{{ trans('trans.confirm bank transfer') }}</h4>
                    </div>

                    <form action="{{ action('PackagesRegistrationsController@confirm_bank_transfer_post') }}"
                          method="post"
                          class="col-md-8 col-md-offset-2">
                        @if(session('success'))
                            <div class="alert alert-success">{{ trans('trans.confirmation success') }}</div>
                        @endif
                        <div class="form-group">
                            <label for="event">{{ trans('trans.choose class') }}</label>
                            <select class="form-control" name="event" id="event">
                                <option selected disabled>event</option>
                                @if(count($packages) > 0)
                                    @foreach($packages as $package)
                                        <option value="{{ $package->class_name }}">{{ $package->class_name }}</option>
                                    @endforeach
                                @endif
                            </select>
                            @if(count($errors->first('event')) > 0) <p
                                    style="color: red;"> {{ $errors->first('event') }} </p>@endif
                        </div>

                        <div class="form-group">
                            <label for="event">{{ trans('trans.choose your registration account') }}</label>
                            <select class="form-control" name="user" id="event">
                                <option selected disabled>{{ trans('trans.choose your registration account') }}</option>
                                @if(count($registrations) > 0)
                                    @foreach($registrations as $reg)
                                        <option value="{{ $reg->id }}">{{ $reg->name }}
                                            | {{ $reg->phone }}</option>
                                    @endforeach
                                @endif
                            </select>
                            @if(count($errors->first('user')) > 0) <p
                                    style="color: red;"> {{ $errors->first('user') }} </p>@endif
                        </div>

                        <div class="form-group">
                            <label for="bank">{{ trans('trans.the bank') }}</label>
                            <input type="text" class="form-control" name="bank" id="bank">
                            @if(count($errors->first('bank')) > 0) <p
                                    style="color: red;"> {{ $errors->first('bank') }} </p>@endif
                        </div>
                        <div class="form-group">
                            <label for="account_number">{{ trans('trans.the number of your bank account') }}</label>
                            <input type="text" class="form-control" name="account_number" id="account_number">
                            @if(count($errors->first('account_number')) > 0) <p
                                    style="color: red;"> {{ $errors->first('account_number') }} </p>@endif
                        </div>
                        <div class="form-group">
                            <label for="transfer_number">{{ trans('trans.the number of the transfer') }}</label>
                            <input type="text" class="form-control" name="transfer_number" id="transfer_number">
                            @if(count($errors->first('transfer_number')) > 0) <p
                                    style="color: red;"> {{ $errors->first('transfer_number') }} </p>@endif
                        </div>

                        {{ csrf_field() }}
                        <input type="submit" value="{{ trans('trans.confirm') }}" class="btn btn-success"/>
                    </form>


                </div>
            </div>
        </div>
    </section>


@stop