<?php $__env->startSection('content'); ?>

    <section class="custom-header-bg">
        <div class="container">
            <h1><?php echo e(trans('trans.confirm bank transfer')); ?></h1>
        </div>
    </section>


    <section class="courses gallery">
        <div class="col-md-8 col-md-offset-2">
            <?php if(session('msg')): ?>
                <div class="alert alert-warning text-center"><?php echo e(session('msg')); ?></div>
            <?php endif; ?>
        </div>
        <div class="container">
            <div class="center">

                <div class="col-md-6 col-md-offset-3 <?php if(App::isLocale('en')): ?> text-left" dir="ltr" <?php else: ?> text-right" dir="rtl" <?php endif; ?>>
                    <div class="text-center">
                        <h4><?php echo e(trans('trans.confirm bank transfer')); ?></h4>
                    </div>

                    <form action="<?php echo e(action('PackagesRegistrationsController@confirm_bank_transfer_post')); ?>"
                          method="post"
                          class="col-md-8 col-md-offset-2">
                        <?php if(session('success')): ?>
                            <div class="alert alert-success"><?php echo e(trans('trans.confirmation success')); ?></div>
                        <?php endif; ?>
                        <div class="form-group">
                            <label for="event"><?php echo e(trans('trans.choose class')); ?></label>
                            <select class="form-control" name="event" id="event">
                                <option selected disabled>event</option>
                                <?php if(count($packages) > 0): ?>
                                    <?php foreach($packages as $package): ?>
                                        <option value="<?php echo e($package->class_name); ?>"><?php echo e($package->class_name); ?></option>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            </select>
                            <?php if(count($errors->first('event')) > 0): ?> <p
                                    style="color: red;"> <?php echo e($errors->first('event')); ?> </p><?php endif; ?>
                        </div>

                        <div class="form-group">
                            <label for="event"><?php echo e(trans('trans.choose your registration account')); ?></label>
                            <select class="form-control" name="user" id="event">
                                <option selected disabled><?php echo e(trans('trans.choose your registration account')); ?></option>
                                <?php if(count($registrations) > 0): ?>
                                    <?php foreach($registrations as $reg): ?>
                                        <option value="<?php echo e($reg->id); ?>"><?php echo e($reg->name); ?>

                                            | <?php echo e($reg->phone); ?></option>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            </select>
                            <?php if(count($errors->first('user')) > 0): ?> <p
                                    style="color: red;"> <?php echo e($errors->first('user')); ?> </p><?php endif; ?>
                        </div>

                        <div class="form-group">
                            <label for="bank"><?php echo e(trans('trans.the bank')); ?></label>
                            <input type="text" class="form-control" name="bank" id="bank">
                            <?php if(count($errors->first('bank')) > 0): ?> <p
                                    style="color: red;"> <?php echo e($errors->first('bank')); ?> </p><?php endif; ?>
                        </div>
                        <div class="form-group">
                            <label for="account_number"><?php echo e(trans('trans.the number of your bank account')); ?></label>
                            <input type="text" class="form-control" name="account_number" id="account_number">
                            <?php if(count($errors->first('account_number')) > 0): ?> <p
                                    style="color: red;"> <?php echo e($errors->first('account_number')); ?> </p><?php endif; ?>
                        </div>
                        <div class="form-group">
                            <label for="transfer_number"><?php echo e(trans('trans.the number of the transfer')); ?></label>
                            <input type="text" class="form-control" name="transfer_number" id="transfer_number">
                            <?php if(count($errors->first('transfer_number')) > 0): ?> <p
                                    style="color: red;"> <?php echo e($errors->first('transfer_number')); ?> </p><?php endif; ?>
                        </div>

                        <?php echo e(csrf_field()); ?>

                        <input type="submit" value="<?php echo e(trans('trans.confirm')); ?>" class="btn btn-success"/>
                    </form>


                </div>
            </div>
        </div>
    </section>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('user.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>